HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetRadarEarlyFraudWarningsEarlyFraudWarning

Contains the different functions to run the operation getRadarEarlyFraudWarningsEarlyFraudWarning

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetRadarEarlyFraudWarningsEarlyFraudWarning.hs
valuegetRadarEarlyFraudWarningsEarlyFraudWarning
  1. :: MonadHTTP m
  2. => GetRadarEarlyFraudWarningsEarlyFraudWarningParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetRadarEarlyFraudWarningsEarlyFraudWarningResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/radar/early_fraud_warnings/{early_fraud_warning}

<p>Retrieves the details of an early fraud warning that has previously been created. </p>

<p>Please refer to the <a href="#early_fraud_warning_object">early fraud warning</a> object reference for more details.</p>

Defines the object schema located at paths./v1/radar/early_fraud_warnings/{early_fraud_warning}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getRadarEarlyFraudWarningsEarlyFraudWarning.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetRadarEarlyFraudWarningsEarlyFraudWarningResponseError is used.

Instances2Eq, Show